Api referenceTopicPublicationDomains
Remove a publication domain (Preview)
Preview · Available to selected organizations. Revokes publication lookup before removing the Cloudflare hostname.
Revokes publication lookup before removing the Cloudflare hostname. Reuse the UUID idempotencyKey query value on retries. Pending provider teardown is reported as removing. Removal remains available after the topic archive is disabled.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^unsub_[0-9a-hjkmnp-tv-z]{16,24}$hostname*string
Match
^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$Length
length <= 253Query Parameters
idempotencyKey*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/topics/string/publication/domains/string?idempotencyKey=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "organizationId": "string", "topicId": "string", "hostname": "string", "canonicalHostname": "string", "phase": "pending", "active": true, "hostnameStatus": "string", "sslStatus": "string", "cname": { "type": "CNAME", "name": "string", "value": "string" }, "verificationRecords": [ { "type": "CNAME", "name": "string", "value": "string" } ], "verificationErrors": [ "string" ]}